(defun c:slideman ( / ALLNAMES CNTX COUNT CTR CTR1 DIRNAME FINALDIRPATH FLAG H INSERTNAME
                      ITILE ITILE1 LG1 LISTLENGTH LISTLENGTH1 LISTNAMES MAINCLICK MAINDIR
                      NAMESTRIP PT1 SLNAME SUBDIR TEMPNAME TEMPNAMES W HFLAG A PLEN TMP)


(cond

((and (= (atoi (substr (getvar "acadver") 1 2)) 13)
              (not (member "doslib13.arx" (arx)))
              (setq tmp (findfile "doslib13.arx"))
         )
         (arxload tmp)
        )
((and (= (atoi (substr (getvar "acadver") 1 2)) 14)
              (not (member "doslib14.arx" (arx)))
              (setq tmp (findfile "doslib14.arx"))
         )
         (arxload tmp)
        )
((and (= (atoi (substr (getvar "acadver") 1 2)) 15)
              (not (member "doslib2k.arx" (arx)))
              (setq tmp (findfile "doslib2k.arx"))
         )
         (arxload tmp)
        )
        (t (alert "Cannot load DosLib Arx file.......\nAborting Routine.") (exit))

);cond


        (setq flag 1)

	(setq a (findfile "filepath.dat"))

	(if (= a nil)

	(progn

	(alert "System File Missing")

	(exit)

	);progn

	);if

	(setq plen (strlen a))

	(setq plen (- plen 12))

	(setq maindir (substr a 1 plen))


	(setq subdir (cdr (dos_subdir maindir)))

     	(setq dcl_id (load_dialog "slideman.dcl"))
     	(if (not (new_dialog "slideman" dcl_id) ) (exit))

     	(start_list "mainselections")
     	(mapcar 'add_list subdir)
     	(end_list)

        (set_tile "mainselections" "0")

     	(action_tile "cancel"
         	"(done_dialog)(setq mainclick nil)")

     	(action_tile "accept"
      	(strcat
        	"(progn (setq dirname (atoi (get_tile \"mainselections\")))"
        	"(done_dialog) (setq mainclick T))"
       	)
     )

     (start_dialog)
     (unload_dialog dcl_id)

     (if mainclick

       (progn

	(setq dirname (nth dirname subdir))

	(setq finaldirpath (strcat maindir dirname))

        (setq allnames (dos_dir (strcat finaldirpath "\\" "*.sld")))

	(setq listlength (length allnames))

     	   (if (< listlength 76)

		(progn

                     (splitlist) 

		     (page1 listnames)

	    (while mainflag

		(cond

                  ((= flag 1) (process))
                  ((= flag 3) (page2 listnames1))
                  ((= flag 4) (c:slideman))
                  ((= flag 5) (page3 listnames2))
                  ((= flag 6) (page1 listnames))
                  ((= flag 7) (page2 listnames1))

                );cond

           );while


                 );progn

                 (alert "Too many Files in Directory.\n     Maximum 75 Allowed.")

           );if

      );progn


    );if

    

  (princ)

);defun

;;;*-----------------------------------------------------------------------

(defun page1 (names)

     (setq flag 1)

     (setq listlength1 (length names))


    (stripname names)

    (setq names tempnames)


     (setq dcl_id (load_dialog "slideman.dcl"))
     (if (not (new_dialog "page1" dcl_id) ) (exit))

     (set_tile "txt1" (strcat "Current Library : " dirname))

     (mode_tile "prev1" 0)
     (mode_tile "im1" 4)
     (setq hflag 1)

     (if (> listlength 25)

    	(mode_tile "nex1" 0)
        (mode_tile "nex1" 1)


     );if

     (start_list "selections")
     (mapcar 'add_list NAMES)
     (end_list)

     (set_tile "selections" "0")

     (setq itile "im")
     (setq ctr 1)
     (setq ctr1 0)


    (repeat listlength1

       (setq itile1 (strcat itile (itoa ctr)))
       (setq slname (nth ctr1 names))

       (setq w (dimx_tile itile1)
	     h (dimy_tile itile1))
       (start_image itile1)
       (slide_image 0 0 w h (strcat finaldirpath "\\" slname ".sld"))
       (end_image)

       (setq ctr (1+ ctr))
       (setq ctr1 (1+ ctr1))

    );repeat

     (action_tile "im1" 
      "(set_tile \"selections\" \"0\")(high1) (mode_tile \"im1\" 4) (setq hflag 1)")
     (action_tile "im2" 
      "(set_tile \"selections\" \"1\")(high1) (mode_tile \"im2\" 4) (setq hflag 2)")
     (action_tile "im3" 
      "(set_tile \"selections\" \"2\")(high1) (mode_tile \"im3\" 4) (setq hflag 3)")
     (action_tile "im4" 
      "(set_tile \"selections\" \"3\")(high1) (mode_tile \"im4\" 4) (setq hflag 4)")
     (action_tile "im5" 
      "(set_tile \"selections\" \"4\")(high1) (mode_tile \"im5\" 4) (setq hflag 5)")
     (action_tile "im6" 
      "(set_tile \"selections\" \"5\")(high1) (mode_tile \"im6\" 4) (setq hflag 6)")
     (action_tile "im7" 
      "(set_tile \"selections\" \"6\")(high1) (mode_tile \"im7\" 4) (setq hflag 7)")
     (action_tile "im8" 
      "(set_tile \"selections\" \"7\")(high1) (mode_tile \"im8\" 4) (setq hflag 8)")
     (action_tile "im9" 
      "(set_tile \"selections\" \"8\")(high1) (mode_tile \"im9\" 4) (setq hflag 9)")
     (action_tile "im10" 
      "(set_tile \"selections\" \"9\")(high1) (mode_tile \"im10\" 4) (setq hflag 10)")
     (action_tile "im11" 
      "(set_tile \"selections\" \"10\")(high1) (mode_tile \"im11\" 4) (setq hflag 11)")
     (action_tile "im12" 
      "(set_tile \"selections\" \"11\")(high1) (mode_tile \"im12\" 4) (setq hflag 12)")
     (action_tile "im13" 
      "(set_tile \"selections\" \"12\")(high1) (mode_tile \"im13\" 4) (setq hflag 13)")
     (action_tile "im14" 
      "(set_tile \"selections\" \"13\")(high1) (mode_tile \"im14\" 4) (setq hflag 14)")
     (action_tile "im15" 
      "(set_tile \"selections\" \"14\")(high1) (mode_tile \"im15\" 4) (setq hflag 15)")
     (action_tile "im16" 
      "(set_tile \"selections\" \"15\")(high1) (mode_tile \"im16\" 4) (setq hflag 16)")
     (action_tile "im17" 
      "(set_tile \"selections\" \"16\")(high1) (mode_tile \"im17\" 4) (setq hflag 17)")
     (action_tile "im18" 
      "(set_tile \"selections\" \"17\")(high1) (mode_tile \"im18\" 4) (setq hflag 18)")
     (action_tile "im19" 
      "(set_tile \"selections\" \"18\")(high1) (mode_tile \"im19\" 4) (setq hflag 19)")
     (action_tile "im20" 
      "(set_tile \"selections\" \"19\")(high1) (mode_tile \"im20\" 4) (setq hflag 20)")
     (action_tile "im21" 
      "(set_tile \"selections\" \"20\")(high1) (mode_tile \"im21\" 4) (setq hflag 21)")
     (action_tile "im22" 
      "(set_tile \"selections\" \"21\")(high1) (mode_tile \"im22\" 4) (setq hflag 22)")
     (action_tile "im23" 
      "(set_tile \"selections\" \"22\")(high1) (mode_tile \"im23\" 4) (setq hflag 23)")
     (action_tile "im24" 
      "(set_tile \"selections\" \"23\")(high1) (mode_tile \"im24\" 4) (setq hflag 24)")
     (action_tile "im25" 
      "(set_tile \"selections\" \"24\")(high1) (mode_tile \"im25\" 4) (setq hflag 25)")


      (action_tile "selections" 
       "(progn
        (setq hi (atoi $value))
        (setq hi (itoa (1+ hi)))
        (setq hi (strcat \"im\" hi))
        (mode_tile hi 2))")

     (action_tile "prev1"
         "(done_dialog)(setq flag 4) (setq mainflag T)")

    (action_tile "nex1"
         "(done_dialog) (setq flag 3) (setq mainflag T)")

     (action_tile "cancel"
         "(done_dialog)(setq flag 2) (setq mainflag nil)")

     (action_tile "accept"
      (strcat
        "(progn (setq fname (atof (get_tile \"selections\")))"
        "(done_dialog) (setq flag 1) (setq mainflag T))"
       )
     )

     (start_dialog)
     (unload_dialog dcl_id)
 
 (princ)
);defun

;;;*======================================================

(defun page2 (names)

     (setq flag 1)

     (setq listlength1 (length names))


    (stripname names)

    (setq names tempnames)


     (setq dcl_id (load_dialog "slideman.dcl"))
     (if (not (new_dialog "page1" dcl_id) ) (exit))

     (set_tile "txt1" (strcat "Current Library : " dirname))

     (mode_tile "prev1" 0)
     (mode_tile "im1" 4)
     (setq hflag 1)

     (if (> listlength 50)

    	(mode_tile "nex1" 0)
        (mode_tile "nex1" 1)

     );if

     (start_list "selections")
     (mapcar 'add_list NAMES)
     (end_list)

     (set_tile "selections" "0")

     (setq itile "im")
     (setq ctr 1)
     (setq ctr1 0)


    (repeat listlength1

       (setq itile1 (strcat itile (itoa ctr)))
       (setq slname (nth ctr1 names))

       (setq w (dimx_tile itile1)
	     h (dimy_tile itile1))
       (start_image itile1)
       (slide_image 0 0 w h (strcat finaldirpath "\\" slname ".sld"))
       (end_image)

       (setq ctr (1+ ctr))
       (setq ctr1 (1+ ctr1))

    );repeat



     (action_tile "im1" 
      "(set_tile \"selections\" \"0\")(high1) (mode_tile \"im1\" 4) (setq hflag 1)")
     (action_tile "im2" 
      "(set_tile \"selections\" \"1\")(high1) (mode_tile \"im2\" 4) (setq hflag 2)")
     (action_tile "im3" 
      "(set_tile \"selections\" \"2\")(high1) (mode_tile \"im3\" 4) (setq hflag 3)")
     (action_tile "im4" 
      "(set_tile \"selections\" \"3\")(high1) (mode_tile \"im4\" 4) (setq hflag 4)")
     (action_tile "im5" 
      "(set_tile \"selections\" \"4\")(high1) (mode_tile \"im5\" 4) (setq hflag 5)")
     (action_tile "im6" 
      "(set_tile \"selections\" \"5\")(high1) (mode_tile \"im6\" 4) (setq hflag 6)")
     (action_tile "im7" 
      "(set_tile \"selections\" \"6\")(high1) (mode_tile \"im7\" 4) (setq hflag 7)")
     (action_tile "im8" 
      "(set_tile \"selections\" \"7\")(high1) (mode_tile \"im8\" 4) (setq hflag 8)")
     (action_tile "im9" 
      "(set_tile \"selections\" \"8\")(high1) (mode_tile \"im9\" 4) (setq hflag 9)")
     (action_tile "im10" 
      "(set_tile \"selections\" \"9\")(high1) (mode_tile \"im10\" 4) (setq hflag 10)")
     (action_tile "im11" 
      "(set_tile \"selections\" \"10\")(high1) (mode_tile \"im11\" 4) (setq hflag 11)")
     (action_tile "im12" 
      "(set_tile \"selections\" \"11\")(high1) (mode_tile \"im12\" 4) (setq hflag 12)")
     (action_tile "im13" 
      "(set_tile \"selections\" \"12\")(high1) (mode_tile \"im13\" 4) (setq hflag 13)")
     (action_tile "im14" 
      "(set_tile \"selections\" \"13\")(high1) (mode_tile \"im14\" 4) (setq hflag 14)")
     (action_tile "im15" 
      "(set_tile \"selections\" \"14\")(high1) (mode_tile \"im15\" 4) (setq hflag 15)")
     (action_tile "im16" 
      "(set_tile \"selections\" \"15\")(high1) (mode_tile \"im16\" 4) (setq hflag 16)")
     (action_tile "im17" 
      "(set_tile \"selections\" \"16\")(high1) (mode_tile \"im17\" 4) (setq hflag 17)")
     (action_tile "im18" 
      "(set_tile \"selections\" \"17\")(high1) (mode_tile \"im18\" 4) (setq hflag 18)")
     (action_tile "im19" 
      "(set_tile \"selections\" \"18\")(high1) (mode_tile \"im19\" 4) (setq hflag 19)")
     (action_tile "im20" 
      "(set_tile \"selections\" \"19\")(high1) (mode_tile \"im20\" 4) (setq hflag 20)")
     (action_tile "im21" 
      "(set_tile \"selections\" \"20\")(high1) (mode_tile \"im21\" 4) (setq hflag 21)")
     (action_tile "im22" 
      "(set_tile \"selections\" \"21\")(high1) (mode_tile \"im22\" 4) (setq hflag 22)")
     (action_tile "im23" 
      "(set_tile \"selections\" \"22\")(high1) (mode_tile \"im23\" 4) (setq hflag 23)")
     (action_tile "im24" 
      "(set_tile \"selections\" \"23\")(high1) (mode_tile \"im24\" 4) (setq hflag 24)")
     (action_tile "im25" 
      "(set_tile \"selections\" \"24\")(high1) (mode_tile \"im25\" 4) (setq hflag 25)")



      (action_tile "selections" 
       "(progn
        (setq hi (atoi $value))
        (setq hi (itoa (1+ hi)))
        (setq hi (strcat \"im\" hi))
        (mode_tile hi 2))")

     (action_tile "prev1"
         "(done_dialog)(setq flag 6) (setq mainflag T)")

    (action_tile "nex1"
         "(done_dialog) (setq flag 5) (setq mainflag T)")

     (action_tile "cancel"
         "(done_dialog)(setq flag 2) (setq mainflag nil)")

     (action_tile "accept"
      (strcat
        "(progn (setq fname (atof (get_tile \"selections\")))"
        "(done_dialog) (setq flag 1) (setq mainflag T))"
       )
     )

     (start_dialog)
     (unload_dialog dcl_id)
 
 (princ)
);defun

;;;*======================================================

(defun page3 (names)

     (setq flag 1)

     (setq listlength1 (length names))


    (stripname names)

    (setq names tempnames)


     (setq dcl_id (load_dialog "slideman.dcl"))
     (if (not (new_dialog "page1" dcl_id) ) (exit))

     (set_tile "txt1" (strcat "Current Library : " dirname))

     (mode_tile "prev1" 0)
     (mode_tile "im1" 4)
     (setq hflag 1)

     (mode_tile "nex1" 1)

     (start_list "selections")
     (mapcar 'add_list NAMES)
     (end_list)

     (set_tile "selections" "0")

     (setq itile "im")
     (setq ctr 1)
     (setq ctr1 0)


    (repeat listlength1

       (setq itile1 (strcat itile (itoa ctr)))
       (setq slname (nth ctr1 names))

       (setq w (dimx_tile itile1)
	     h (dimy_tile itile1))
       (start_image itile1)
       (slide_image 0 0 w h (strcat finaldirpath "\\" slname ".sld"))
       (end_image)

       (setq ctr (1+ ctr))
       (setq ctr1 (1+ ctr1))

    );repeat



     (action_tile "im1" 
      "(set_tile \"selections\" \"0\")(high1) (mode_tile \"im1\" 4) (setq hflag 1)")
     (action_tile "im2" 
      "(set_tile \"selections\" \"1\")(high1) (mode_tile \"im2\" 4) (setq hflag 2)")
     (action_tile "im3" 
      "(set_tile \"selections\" \"2\")(high1) (mode_tile \"im3\" 4) (setq hflag 3)")
     (action_tile "im4" 
      "(set_tile \"selections\" \"3\")(high1) (mode_tile \"im4\" 4) (setq hflag 4)")
     (action_tile "im5" 
      "(set_tile \"selections\" \"4\")(high1) (mode_tile \"im5\" 4) (setq hflag 5)")
     (action_tile "im6" 
      "(set_tile \"selections\" \"5\")(high1) (mode_tile \"im6\" 4) (setq hflag 6)")
     (action_tile "im7" 
      "(set_tile \"selections\" \"6\")(high1) (mode_tile \"im7\" 4) (setq hflag 7)")
     (action_tile "im8" 
      "(set_tile \"selections\" \"7\")(high1) (mode_tile \"im8\" 4) (setq hflag 8)")
     (action_tile "im9" 
      "(set_tile \"selections\" \"8\")(high1) (mode_tile \"im9\" 4) (setq hflag 9)")
     (action_tile "im10" 
      "(set_tile \"selections\" \"9\")(high1) (mode_tile \"im10\" 4) (setq hflag 10)")
     (action_tile "im11" 
      "(set_tile \"selections\" \"10\")(high1) (mode_tile \"im11\" 4) (setq hflag 11)")
     (action_tile "im12" 
      "(set_tile \"selections\" \"11\")(high1) (mode_tile \"im12\" 4) (setq hflag 12)")
     (action_tile "im13" 
      "(set_tile \"selections\" \"12\")(high1) (mode_tile \"im13\" 4) (setq hflag 13)")
     (action_tile "im14" 
      "(set_tile \"selections\" \"13\")(high1) (mode_tile \"im14\" 4) (setq hflag 14)")
     (action_tile "im15" 
      "(set_tile \"selections\" \"14\")(high1) (mode_tile \"im15\" 4) (setq hflag 15)")
     (action_tile "im16" 
      "(set_tile \"selections\" \"15\")(high1) (mode_tile \"im16\" 4) (setq hflag 16)")
     (action_tile "im17" 
      "(set_tile \"selections\" \"16\")(high1) (mode_tile \"im17\" 4) (setq hflag 17)")
     (action_tile "im18" 
      "(set_tile \"selections\" \"17\")(high1) (mode_tile \"im18\" 4) (setq hflag 18)")
     (action_tile "im19" 
      "(set_tile \"selections\" \"18\")(high1) (mode_tile \"im19\" 4) (setq hflag 19)")
     (action_tile "im20" 
      "(set_tile \"selections\" \"19\")(high1) (mode_tile \"im20\" 4) (setq hflag 20)")
     (action_tile "im21" 
      "(set_tile \"selections\" \"20\")(high1) (mode_tile \"im21\" 4) (setq hflag 21)")
     (action_tile "im22" 
      "(set_tile \"selections\" \"21\")(high1) (mode_tile \"im22\" 4) (setq hflag 22)")
     (action_tile "im23" 
      "(set_tile \"selections\" \"22\")(high1) (mode_tile \"im23\" 4) (setq hflag 23)")
     (action_tile "im24" 
      "(set_tile \"selections\" \"23\")(high1) (mode_tile \"im24\" 4) (setq hflag 24)")
     (action_tile "im25" 
      "(set_tile \"selections\" \"24\")(high1) (mode_tile \"im25\" 4) (setq hflag 25)")



      (action_tile "selections" 
       "(progn
        (setq hi (atoi $value))
        (setq hi (itoa (1+ hi)))
        (setq hi (strcat \"im\" hi))
        (mode_tile hi 2))")

     (action_tile "prev1"
         "(done_dialog)(setq flag 7) (setq mainflag T)")

    (action_tile "nex1"
         "(done_dialog) (setq flag 5) (setq mainflag T)")

     (action_tile "cancel"
         "(done_dialog)(setq flag 2) (setq mainflag nil)")

     (action_tile "accept"
      (strcat
        "(progn (setq fname (atof (get_tile \"selections\")))"
        "(done_dialog) (setq flag 1) (setq mainflag T))"
       )
     )

     (start_dialog)
     (unload_dialog dcl_id)
 
 (princ)
);defun

;;;*======================================================

(defun splitlist ()

      (setq listnames nil)
      (setq listnames1 nil)
      (setq listnames2 nil)

      (setq count 0)

       (repeat listlength

           (setq tempname (nth count allnames))

           (if (< count 25) 
		(setq listnames (append listnames (list tempname))))

           (if (and (< count 50) (> count 24)) 
		(setq listnames1 (append listnames1 (list tempname))))

           (if (and (< count 75) (> count 49)) 
		(setq listnames2 (append listnames2 (list tempname))))

           (setq count (1+ count))

       );repeat

  (princ)

);defun
;;;*--------------------------------------------------------------------------------------
(defun stripname (thenames)

        (setq tempnames nil)
        (setq cntx 0)

	(repeat listlength1

            (setq namestrip (nth cntx thenames))

            (setq lg1 (- (strlen namestrip) 4))

            (setq namestrip (substr namestrip 1 lg1))

            (setq tempnames (append tempnames (list namestrip)))

            (setq cntx (1+ cntx))

         );repeat

(princ)

);defun
;;;*--------------------------------------------------------------------

(defun process ()

    (setq mainflag nil)

    (setq slname (nth (fix fname) tempnames)) 
   
    (setq insertname (strcat "*" finaldirpath "\\" slname ".dwg"))

    (setq pt1 (getpoint "Insertion Point : "))

    (if (= (substr (strcase dirname) 1 11) "ANNOTATIONS")

    (command "insert" insertname pt1 (getvar "USERR1") "")

    (command "insert" insertname pt1 "" "")

    );if

(princ)

);defun
;;;*----------------------------------------------------------------------

(defun high1 ()

   (cond

      ((= hflag 1) (mode_tile "im1" 4))
      ((= hflag 2) (mode_tile "im2" 4))
      ((= hflag 3) (mode_tile "im3" 4))
      ((= hflag 4) (mode_tile "im4" 4))
      ((= hflag 5) (mode_tile "im5" 4))
      ((= hflag 6) (mode_tile "im6" 4))
      ((= hflag 7) (mode_tile "im7" 4))
      ((= hflag 8) (mode_tile "im8" 4))
      ((= hflag 9) (mode_tile "im9" 4))
      ((= hflag 10) (mode_tile "im10" 4))
      ((= hflag 11) (mode_tile "im11" 4))
      ((= hflag 12) (mode_tile "im12" 4))
      ((= hflag 13) (mode_tile "im13" 4))
      ((= hflag 14) (mode_tile "im14" 4))
      ((= hflag 15) (mode_tile "im15" 4))
      ((= hflag 16) (mode_tile "im16" 4))
      ((= hflag 17) (mode_tile "im17" 4))
      ((= hflag 18) (mode_tile "im18" 4))
      ((= hflag 19) (mode_tile "im19" 4))
      ((= hflag 20) (mode_tile "im20" 4))
      ((= hflag 21) (mode_tile "im21" 4))
      ((= hflag 22) (mode_tile "im22" 4))
      ((= hflag 23) (mode_tile "im23" 4))
      ((= hflag 24) (mode_tile "im24" 4))
      ((= hflag 25) (mode_tile "im25" 4))

    );cond

);defun


(princ)